Bug 1206879 - Review Request: golang-github-eknkc-amber - Amber is an elegant templating engine for Go Programming Language
Summary: Review Request: golang-github-eknkc-amber - Amber is an elegant templating en...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jan Chaloupka
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1426972
TreeView+ depends on / blocked
 
Reported: 2015-03-29 09:23 UTC by Fabio Alessandro Locati
Modified: 2017-04-04 16:02 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-04-04 16:02:27 UTC
Type: ---
jchaloup: fedora-review+


Attachments (Terms of Use)

Comment 1 Jan Chaloupka 2015-04-02 14:19:44 UTC
$ rpmlint /home/jchaloup/rpmbuild/SRPMS/golang-github-eknkc-amber-0-0.1.gitdade3a7.fc20.src.rpm /home/jchaloup/rpmbuild/RPMS/noarch/golang-github-eknkc-amber-devel-0-0.1.gitdade3a7.fc20.noarch.rpm
golang-github-eknkc-amber.src: W: spelling-error Summary(en_US) templating -> contemplating, template, tempting
golang-github-eknkc-amber.src: E: summary-too-long C Amber is an elegant templating engine for Go Programming Language It is inspired from HAML and Jade
golang-github-eknkc-amber.src: W: spelling-error %description -l en_US templating -> contemplating, template, tempting
golang-github-eknkc-amber.src: E: description-line-too-long C Amber is an elegant templating engine for Go Programming Language It is inspired from HAML and Jade
golang-github-eknkc-amber-devel.noarch: W: spelling-error Summary(en_US) templating -> contemplating, template, tempting
golang-github-eknkc-amber-devel.noarch: E: summary-too-long C Amber is an elegant templating engine for Go Programming Language It is inspired from HAML and Jade
golang-github-eknkc-amber-devel.noarch: W: spelling-error %description -l en_US templating -> contemplating, template, tempting
golang-github-eknkc-amber-devel.noarch: E: description-line-too-long C Amber is an elegant templating engine for Go Programming Language It is inspired from HAML and Jade
2 packages and 0 specfiles checked; 4 errors, 4 warnings.

- Summary is too long. You can use "Amber is an elegant templating engine for Go Programming Language" instead.
- license is OK (MIT) but it is embedded in README.md file. Can you move/copy the license into LICENSE file?
- remove golang(%{import_path}/amberc) from Provides, amberc folder contains only one *.go file with "package main". It is not supposed to be package (I have already update gofed inspect -p to handle this case).

Comment 2 Upstream Release Monitoring 2016-02-08 13:43:07 UTC
jchaloup's scratch build of go-memdb-9ea975b.tar.gz for cli-build/1454938967.533693.wYGVMBzT/go-memdb-9ea975b.tar.gz and f22-candidate failed http://koji.fedoraproject.org/koji/taskinfo?taskID=12902531

Comment 3 Athos Ribeiro 2017-03-04 17:44:12 UTC
Helo Fabio,

Are you still interested in packaging this? If not, and if you nor Jan oppose to it, I proceed packaging it since I need that as a dependency.

Thanks!

Comment 4 Fabio Alessandro Locati 2017-03-05 17:04:22 UTC
Hi Athos,
I packaged this because my goal was to package Hugo, but I never had enough time to package all dependencies etc.
I've noticed that you are packaging Hugo, so I think it would make sense if you also pick up this one.

Thanks a lot for your effort packaging Hugo :).
Fale

Comment 5 Athos Ribeiro 2017-03-06 14:33:23 UTC
I believe it is ok to keep using this ticket though, right?

So here we go: new sources

Spec URL: https://athoscr.fedorapeople.org/packaging/golang-github-eknkc-amber.spec

SRPM URL: https://athoscr.fedorapeople.org/packaging/golang-github-eknkc-amber-0-0.2.git9be5e8a.fc25.src.rpm

Comment 6 Athos Ribeiro 2017-03-06 14:34:51 UTC
I also opened an issue upstream asking them to add a separate license file

https://github.com/eknkc/amber/issues/56

Comment 8 Athos Ribeiro 2017-03-13 14:39:04 UTC
Thanks for the review!

Comment 9 Gwyn Ciesla 2017-03-13 15:09:33 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/golang-github-eknkc-amber

Comment 10 Fedora Update System 2017-03-13 18:02:24 UTC
golang-github-eknkc-amber-0-0.3.gitd15eb99.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-25917ac5d8

Comment 11 Fedora Update System 2017-03-14 03:22:18 UTC
golang-github-eknkc-amber-0-0.3.gitd15eb99.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-25917ac5d8

Comment 12 Fedora Update System 2017-04-04 16:02:27 UTC
golang-github-eknkc-amber-0-0.3.gitd15eb99.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.